Subject: Re: [PATCH] feature request: git-mergetool --force

From: William Pursell <[email-masked]>
Date: Sat, 18 Oct 2008 19:44:47 +0100

Jeff King wrote:
> On Sat, Oct 18, 2008 at 12:23:05AM +0100, William Pursell wrote:
> 
>> I occasionally use commands like 'cp $REMOTE $MERGED' with
>> mergetool, and would prefer to not be prompted to start
>> the tool on each file.  A --force option would be handy.
> 
> I think it is reasonable to want to skip this prompt, but I am not sure
> "--force" is the right name for such an option. Usually we reserve
> --force for "the tool is trying to prevent something destructive or
> unusual, and the user wants to override it".
> 
> Something like --no-prompt makes more sense to me, though probably
> something a little easier to type would be nice (or maybe alias "-n").

Actually, perhaps an "interactive=no" configuration setting,
which might imply trustExitCode = true.

-- 
William Pursell